<?php
/* class auxtools
 Provides some helping functions for the script.
 ATTENTION: THe include is not yet included here!
*/
class auxtools
{
	function iswindows()
	/* Does the script run on a windows or unix host? Important for the direction of the slashes. */
	{
		return (substr_count($_ENV['OS'],'Windows')>0);
	}//END iswindows

	/* str_split
	Divides a string into an array by dividing the string in elements of a given length
	This is a helping construct to simulate a PHP5 function. Please remove when debugging or running on php5
	*/
	function str_split($string,$length=1)
	{
		$parts = array();
		while(strlen($string))
		{
			array_push($parts, substr($string,0,$length) );
			$string = substr($string,$length);
	   	}
		return $parts;
	}//END str_split

	/* error
		 Outputs the error number in the browser and terminates the execution of the script
	*/
	function error($error_const)
	{
		echo $error_const;
		exit();
	}
	
	/* debug_out
		 Is made to output debug messages, currently it just echoes ist, later an output 
		 via std_error/out or error_log would be nice. 
		 Should give Name of the calling function, class, filename and line.
	*/
	function debug_out($string)
	{
		//$calling_function=debug_backtrace[
		//$class=$backtrace_array[;
		//$file;
		//$line;
		echo '<br>DEBUG: '.$string.'';
	 //(in '.__FILE__.', Line: '.__LINE__.', Function: '.__FUNCTION__.')<br>';
	}
	
	/* pixeltomm
		 Converts pixel to milimeters, based on the formula
		 (pixel/72)*25,2945=mm

	*/ 
	function mmtopixel($mm,$dpi=96)
	{
		//would be pixeltomm
		//return (($mm/72)*25.2945);
		
		//mmtopixel 
		return (round(($mm/25.2945)*$dpi));
	}

}//END class auxtools

//### DEBUG ###
$deb=new auxtools();
//$backtrace=debug_backtrace();
//$deb->debug_out(__FILE__.' OK<br>'.'(in '.__FILE__.', Line: '.__LINE__.', Function: '.__FUNCTION__.')<br>');
?>